package com.backendsys.modules.material.service;

import com.backendsys.modules.material.entity.MaterialAudit;
import com.backendsys.modules.material.entity.MaterialUser;
import com.backendsys.modules.system.entity.SysUserRole;
import com.backendsys.utils.response.PageEntity;

import java.util.List;
import java.util.Map;

public interface MaterialUserService {

    // 获取素材用户列表
    PageEntity selectMaterialUserList(String phone, Long role_id);

    // 获取素材用户角色列表
    List<SysUserRole> selectMaterialUserRoleList();

    // 审核素材用户
    Map<String, Object> auditMaterialUser(MaterialAudit materialAudit);

    // 注册素材用户 (手机号注册)
    Map<String, Object> registerMaterialUser(MaterialUser materialUser);

}
